services:
  hawser:
    image: ghcr.io/finsys/hawser:latest
    container_name: hawser-nomad
    restart: unless-stopped
    ports:
      - "${HAWSER_BIND_ADDRESS:-0.0.0.0}:${HAWSER_PORT:-2376}:2376"
    environment:
      TZ: ${TZ}
      PORT: "2376"
      BIND_ADDRESS: ${HAWSER_BIND_ADDRESS}
      TOKEN: ${HAWSER_TOKEN}
      AGENT_NAME: ${HAWSER_AGENT_NAME}
      LOG_LEVEL: ${HAWSER_LOG_LEVEL}
      STACKS_DIR: ${STACKS_DIR}
      SKIP_DF_COLLECTION: ${SKIP_DF_COLLECTION}
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
      - ${STACKS_DIR}:${STACKS_DIR}
